It's all about the answers!

Ask a question

Jazz perspective is missing in IDE after installing rtc client 6.0.3


Murali Pattathe (111) | asked Feb 21 '17, 4:32 p.m.

I installed RTC client 6.0.3 on top of IBM Integration designer 8.0.1 which is based on eclipse 3.6.2.  The RTC-Client-p2Repo-6.0.3.zip used to install the client.  I didn't get any errors in the installation process, but I don't see jazz perspective after restarting the IDE. 
I am looking for your comments on this. I am not sure I missed anything in the steps here.


Comments
Kevin Ramer commented Feb 21 '17, 4:44 p.m.

Does the perspective show under Window / Open Perspective / Other ... ? 


Murali Pattathe commented Feb 21 '17, 4:53 p.m.

Thanks Kevin for a quick response.
No, it is not showing anywhere as well as not showing under the 'Team' section in Eclipse preferences.


Don Yang commented Feb 21 '17, 6:36 p.m.

RTC6.0.3 removed supporting Eclipse runtime 3.6.x. (you won't see Eclipse client IDE based on 3.6.x as well in this version). I guess that could be why you won't see the jazz perspective.


Murali Pattathe commented Feb 22 '17, 9:12 a.m.

Thanks Don.  In this case I was expecting an error at the time of the installation..

Our RTC server planning an upgrade to version 6.0.3/iFix02 .  What is the supported client version (for eclipse 3.6.2) for the above server?  I believe client version  can be server version - 1 .

2 answers



permanent link
Alan Sampson (93729) | answered Feb 21 '17, 6:34 p.m.
JAZZ DEVELOPER

The RTC 6.0.3 Eclipse client is now based on Eclipse 4.2 (see https://jazz.net/downloads/rational-team-concert/releases/6.0.3?p=news) Due to this, the chances are that the RTC 6.0.3 p2 repository is incompatible with the Eclipse 3.6 based tool you are applying it to.


Comments
Murali Pattathe commented Feb 22 '17, 9:12 a.m.

Thanks Alan


permanent link
Ralph Schoon (55.1k23642) | answered Feb 22 '17, 9:57 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER

  I am a bit confused. If you look at the system requirements 


It appears that Eclipse 3.6 is still supported, but not with the P2 install.
Cite: "
(1)
The RTC Client bundles IES 3.6.2.3 or 4.2.2.1 (two installation options).
(2)
The RTC client bundles both IBM Eclipse SDK 3.6.2.3 and IBM Eclipse SDK 4.2.2.1 (two installation options). 
The CLM Server bundles IBM Eclipse SDK 3.6.2.3, and uses the Eclipse Runtime, Equinox and EMF. 
For the RTC Client, IES 3.6.2.x is not supported on Windows 8.1 or Windows 10 machines. 
(3)
The RTC p2 Install Repository download from jazz.net may be used to install into Eclipse 4.3.2 and 4.4.2 and 4.5.2 and 4.6.1 downloads from eclipse.org.

Comments?


Comments
Donald Nong commented Feb 22 '17, 11:06 p.m.

I believe the clarity tool needs some clarification. The foot notes seem to be a direct copy from v6.0.2. With 6.0.2, we have two separate RTC Eclipse client repositories for Installation Manager, one is called "Client for Eclipse 3.6.x IDE" and the other "Client for Eclipse 4.2.x IDE". Only the latter is available with 6.0.3. I cannot find any Eclipse 3.6.2 bits in all the RTC client 6.0.3 packages.

Your answer


Register or to post your answer.